跳转到主要内容
GET
/
v1
/
collections
/
get
Get a collection with its items
curl --request GET \
  --url https://api.bibigpt.co/api/v1/collections/get \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "isPublic": true,
  "ownership": "owned",
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "sourceUrl": "<string>",
      "coverUrl": "<string>",
      "duration": 123,
      "channelId": "<string>",
      "channelTitle": "<string>",
      "createdAt": "<string>"
    }
  ],
  "aggregatedSummary": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bibigpt.co/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

id
string
必填

响应

Successful response

id
string
必填
name
string
必填
description
string | null
必填
isPublic
boolean
必填
ownership
enum<string>
必填
可用选项:
owned,
purchased
items
object[]
必填
aggregatedSummary
string | null
必填